// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/alarm": {
            "put": {
                "description": "处理告警",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "alarm"
                ],
                "summary": "处理告警",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmHandleBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmHandleResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/list": {
            "get": {
                "description": "告警列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "alarm"
                ],
                "summary": "告警列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " 设备sn码，设备名，项目名 ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "device_code",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "project_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/statistic": {
            "get": {
                "description": "告警统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "alarm"
                ],
                "summary": "告警统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/area_code_limit": {
            "get": {
                "description": "获取区域限制",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "行政区域"
                ],
                "summary": "获取区域限制",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AreaCodeLimitResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/apply_list": {
            "get": {
                "description": "申请的公司列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "company"
                ],
                "summary": "申请的公司列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "page",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/approve": {
            "put": {
                "description": "公司注册审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "company"
                ],
                "summary": "公司注册审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/list": {
            "get": {
                "description": "公司列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "company"
                ],
                "summary": "公司列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "page",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/statistic": {
            "get": {
                "description": "企业统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "前台"
                ],
                "summary": "企业统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/develop/docking_approve": {
            "put": {
                "description": "开发者审批对接设备",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "develop"
                ],
                "summary": "开发者审批对接设备",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/attendance_list": {
            "get": {
                "description": "实名制设备列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "实名制设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "project_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "provider_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "cid",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "state",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/del_approve": {
            "put": {
                "description": "拆机审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "拆机审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/del_job_list": {
            "get": {
                "description": "设备拆机工单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "设备拆机工单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "状态，逗号分隔:0 待审核 1 通过 2 未通过",
                        "name": "filter_status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceDelJobListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/dust_list": {
            "get": {
                "description": "扬尘设备列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "扬尘设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "project_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "provider_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "cid",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "state",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/statistic": {
            "get": {
                "description": "设备统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "前台"
                ],
                "summary": "设备统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/tested_type_info/{id}": {
            "get": {
                "description": "已通过审核的设备详细申请信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "已通过审核的设备详细申请信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceTestedTypeInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/type_approve": {
            "put": {
                "description": "设备类型审批和对接审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "设备类型审批和对接审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/type_list": {
            "get": {
                "description": "已通过审核的设备类型列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "已通过审核的设备类型列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "provider_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "device_code",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0 已对接的设备列表 1 待审批的设备申请列表 2 待审批的设备对接列表",
                        "name": "list_type",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceTypeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/type_statistic": {
            "get": {
                "description": "设备类型统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "前台"
                ],
                "summary": "设备类型统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceTypeStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/vedio_channel_list": {
            "get": {
                "description": "通道列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "通道列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "channel_no",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChannelListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/vedio_list": {
            "get": {
                "description": "视频设备列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "视频设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "过滤字段",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "project_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "provider_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "cid",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "state",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VedioListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device_type_all": {
            "get": {
                "description": "设备类型总列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "设备类型总列表",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceAllTypeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/dust/aqi": {
            "get": {
                "description": "扬尘aqi",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "扬尘监控前台展示"
                ],
                "summary": "扬尘aqi",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DustAqiResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/dust/last": {
            "get": {
                "description": "扬尘最近数据",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "扬尘监控前台展示"
                ],
                "summary": "扬尘最近数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LatestDustMonitorDataResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/log/list": {
            "get": {
                "description": "操作日志列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "log"
                ],
                "summary": "操作日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LogListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/map": {
            "get": {
                "description": "获取地图",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "前台"
                ],
                "summary": "获取地图",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MapResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/change_approve": {
            "put": {
                "description": "项目变更审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "项目变更审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/change_job_list": {
            "get": {
                "description": "项目变更申请列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "项目变更申请列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "page",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "状态，逗号分隔",
                        "name": "filter_status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectChangeInfoListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/info/{id}": {
            "get": {
                "description": "项目详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "项目详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/list": {
            "get": {
                "description": "项目列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "项目列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "page",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "page_size",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/statistic": {
            "get": {
                "description": "项目统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "前台"
                ],
                "summary": "项目统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/type_statistic": {
            "get": {
                "description": "项目类型统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "前台"
                ],
                "summary": "项目类型统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectTypeStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/provider/apply_list": {
            "get": {
                "description": "供应商申请列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "provider"
                ],
                "summary": "供应商申请列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "page",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProviderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/provider/approve": {
            "put": {
                "description": "供应商注册审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "provider"
                ],
                "summary": "供应商注册审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/provider/list": {
            "get": {
                "description": "供应商列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "provider"
                ],
                "summary": "供应商列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "page",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProviderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/publicity": {
            "get": {
                "description": "公示",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "publicity"
                ],
                "summary": "公示",
                "parameters": [
                    {
                        "type": "string",
                        "description": "供应商名称",
                        "name": "provider",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "设备类型",
                        "name": "device_code",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PublicityResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/statistic": {
            "get": {
                "description": "员工统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "前台"
                ],
                "summary": "员工统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StaffStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/type_statistic": {
            "get": {
                "description": "员工类型出勤统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "staff"
                ],
                "summary": "员工类型出勤统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StaffStatisticNewResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/task": {
            "put": {
                "description": "审核任务",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "任务模块"
                ],
                "summary": "审核任务",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.TaskApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TaskApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "分派任务",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "任务模块"
                ],
                "summary": "分派任务",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.TaskAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TaskAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/task/info/{id}": {
            "get": {
                "description": "任务详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "任务模块"
                ],
                "summary": "任务详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TaskInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/task/list": {
            "get": {
                "description": "任务列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "任务模块"
                ],
                "summary": "任务列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start_time",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " 任务名，任务号 ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "project_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "task_type",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 0 不过滤 1 超期 2 未超期",
                        "name": "overdue",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 0 不过滤 1 普通 2 告警",
                        "name": "source",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TaskListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/token_refresh": {
            "put": {
                "description": "刷新token",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "刷新token",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TokenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/upload": {
            "post": {
                "description": "上传文件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "upload",
                    "v1.0"
                ],
                "summary": "上传文件",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UploadResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/captcha_id": {
            "get": {
                "description": "获取图片验证码id",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "获取图片验证码id",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CaptchaIdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/captcha_png/{captcha_id}": {
            "get": {
                "description": "获取图片验证码图片",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "获取图片验证码图片",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "captcha_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/change_passwd": {
            "put": {
                "description": "修改密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "修改密码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChangePasswdBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChangePasswdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/info": {
            "get": {
                "description": "获取电话和邮箱",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "获取电话和邮箱",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UserInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/login": {
            "post": {
                "description": "登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "登录",
                "parameters": [
                    {
                        "description": "登录信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/mail": {
            "get": {
                "description": "修改邮箱",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "修改邮箱",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MailUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/phone": {
            "put": {
                "description": "修改电话号码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "修改电话号码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PhoneUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PhoneUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/set_passwd": {
            "put": {
                "description": "找回密码设置密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "找回密码设置密码",
                "parameters": [
                    {
                        "description": "登录信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SetPasswdBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SetPasswdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/tmp_token": {
            "get": {
                "description": "获取临时token",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "获取临时token",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "项目id",
                        "name": "project_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TmpTokenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/verify_mail": {
            "put": {
                "description": "发送验证邮件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "发送验证邮件",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.MailPrepareBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MailPrepareResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/vcode": {
            "get": {
                "description": "获取手机验证码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "vcode"
                ],
                "summary": "获取手机验证码",
                "parameters": [
                    {
                        "type": "string",
                        "description": "phone",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VcodeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.AlarmDeviceStatisticReply": {
            "type": "object",
            "properties": {
                "dust_alarm_count": {
                    "type": "integer"
                },
                "staff_alarm_count": {
                    "type": "integer"
                },
                "total_alarm_count": {
                    "type": "integer"
                },
                "tower_alarm_count": {
                    "type": "integer"
                },
                "vehicle_alarm_count": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmHandleBody": {
            "type": "object",
            "properties": {
                "handle": {
                    "description": "false 未处理 true 已处理",
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmHandleResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmIncreaseStatisticReply": {
            "type": "object",
            "properties": {
                "day_increase": {
                    "type": "integer"
                },
                "month_increase": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "is_handled": {
                    "type": "boolean"
                },
                "name": {
                    "type": "string"
                },
                "project_id": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "reason": {
                    "type": "string"
                },
                "safety_record_no": {
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "time": {
                    "type": "string"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.AlarmListReply": {
            "type": "object",
            "properties": {
                "has_more": {
                    "type": "boolean"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AlarmItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "timestamp": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmPercentStaticticItem": {
            "type": "object",
            "properties": {
                "alarm_count": {
                    "description": "这天产生的告警",
                    "type": "integer"
                },
                "alarm_percent": {
                    "description": "这天产生的占30内总告警比例",
                    "type": "number"
                },
                "date": {
                    "type": "string"
                },
                "handled_count": {
                    "description": "这天产生的告警已处理数",
                    "type": "integer"
                },
                "handled_percent": {
                    "description": "这天产生的告警的处理率",
                    "type": "number"
                }
            }
        },
        "v1.AlarmPercentStatisticReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AlarmPercentStaticticItem"
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmProjectItem": {
            "type": "object",
            "properties": {
                "handled": {
                    "description": "处理总数",
                    "type": "integer"
                },
                "percent": {
                    "description": "整改率",
                    "type": "string"
                },
                "project_id": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "total": {
                    "description": "预警总数",
                    "type": "integer"
                }
            }
        },
        "v1.AlarmProjectReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AlarmProjectItem"
                    }
                }
            }
        },
        "v1.AlarmStatisticData": {
            "type": "object",
            "properties": {
                "device_statistic_data": {
                    "description": "告警设备统计",
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmDeviceStatisticReply"
                },
                "increase_statistic_data": {
                    "description": "告警增量统计",
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmIncreaseStatisticReply"
                },
                "project_statistic_data": {
                    "description": "告警项目统计",
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmProjectReply"
                },
                "trend_statistic_data": {
                    "description": "告警趋势统计",
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmPercentStatisticReply"
                }
            }
        },
        "v1.AlarmStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmStatisticData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApproveBody": {
            "type": "object",
            "properties": {
                "approveType": {
                    "description": "0 设备类型申请审批 1 设备类型对接审批",
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "reviewer": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "v1.ApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AreaCodeLimitData": {
            "type": "object",
            "properties": {
                "area_code": {
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                }
            }
        },
        "v1.AreaCodeLimitResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AreaCodeLimitData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CaptchaIdData": {
            "type": "object",
            "properties": {
                "capture_id": {
                    "type": "string"
                }
            }
        },
        "v1.CaptchaIdResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CaptchaIdData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChangePasswdBody": {
            "type": "object",
            "properties": {
                "new": {
                    "type": "string"
                },
                "old": {
                    "type": "string"
                }
            }
        },
        "v1.ChangePasswdResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChannelItem": {
            "type": "object",
            "properties": {
                "channel_no": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "state": {
                    "type": "integer"
                }
            }
        },
        "v1.ChannelListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChannelItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChannelListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChannelListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyItem": {
            "type": "object",
            "properties": {
                "apply_time": {
                    "type": "string"
                },
                "approve_time": {
                    "type": "string"
                },
                "business_contact": {
                    "type": "string"
                },
                "business_contact_phone": {
                    "type": "string"
                },
                "business_license": {
                    "description": "营业执照",
                    "type": "string"
                },
                "business_responsible": {
                    "description": "业务负责人",
                    "type": "string"
                },
                "business_responsible_phone": {
                    "description": "业务负责人电话",
                    "type": "string"
                },
                "city": {
                    "type": "string"
                },
                "emergency_contact": {
                    "description": "紧急联系人",
                    "type": "string"
                },
                "emergency_contact_phone": {
                    "description": "紧急联系人电话",
                    "type": "string"
                },
                "feedback": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "id_cert": {
                    "description": "证件号",
                    "type": "string"
                },
                "legal_person": {
                    "description": "法定代表人",
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "province": {
                    "type": "string"
                },
                "reviewer": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "user_name": {
                    "description": "用户名",
                    "type": "string"
                },
                "zone": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyStatisticReply": {
            "type": "object",
            "properties": {
                "increase": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceAllTypeItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "type_code": {
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.DeviceAllTypeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DeviceAllTypeItem"
                    }
                }
            }
        },
        "v1.DeviceAllTypeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceAllTypeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceDelJobItem": {
            "type": "object",
            "properties": {
                "apply_time": {
                    "description": "申请时间",
                    "type": "string"
                },
                "approve_time": {
                    "description": "审批时间",
                    "type": "string"
                },
                "feedback": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "project_name": {
                    "description": "项目名称",
                    "type": "string"
                },
                "provider_name": {
                    "type": "string"
                },
                "reason": {
                    "type": "string"
                },
                "reviewer": {
                    "type": "string"
                },
                "safety_record_no": {
                    "description": "安检备案号",
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                },
                "status": {
                    "description": "0 待审核 1 通过 2 项目不通过",
                    "type": "integer"
                },
                "type_code": {
                    "description": "设备类型编码",
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.DeviceDelJobListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DeviceDelJobItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceDelJobListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceDelJobListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceItem": {
            "type": "object",
            "properties": {
                "approve_time": {
                    "description": "审批时间",
                    "type": "string"
                },
                "batch": {
                    "type": "string"
                },
                "created_time": {
                    "description": "申请时间",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "key": {
                    "type": "string"
                },
                "kind": {
                    "description": "实名制设备类型",
                    "type": "string"
                },
                "lat": {
                    "type": "number"
                },
                "lon": {
                    "type": "number"
                },
                "manufacturer": {
                    "type": "string"
                },
                "model": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "person": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "project_name": {
                    "type": "string"
                },
                "provider_name": {
                    "type": "string"
                },
                "safety_record_no": {
                    "description": "安检备案号",
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                },
                "state": {
                    "description": "0 离线 1 在线",
                    "type": "integer"
                },
                "status": {
                    "description": "0 待审核 1 项目通过 2 项目不通过",
                    "type": "integer"
                },
                "sub_kind": {
                    "description": "实名制设备类别",
                    "type": "string"
                },
                "type_code": {
                    "description": "设备类型编码",
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                },
                "unit": {
                    "type": "string"
                },
                "url": {
                    "type": "string"
                }
            }
        },
        "v1.DeviceListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DeviceItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceStatisticReply": {
            "type": "object",
            "properties": {
                "increase": {
                    "type": "integer"
                },
                "offline": {
                    "type": "integer"
                },
                "online": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceTestedTypeInfoReply": {
            "type": "object",
            "properties": {
                "add_apply_info": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceTestedTypeItem"
                },
                "test_apply_info": {
                    "description": "DeviceTestedTypeItem AddApplyInfo = 1;\nDeviceTestedTypeItem TestApplyInfo = 2;",
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceTestedTypeItem"
                }
            }
        },
        "v1.DeviceTestedTypeInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceTestedTypeInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceTestedTypeItem": {
            "type": "object",
            "properties": {
                "agent": {
                    "description": "经办人",
                    "type": "string"
                },
                "agent_phone": {
                    "type": "string"
                },
                "appendix": {
                    "type": "string"
                },
                "approve_time": {
                    "description": "审批时间",
                    "type": "string"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "created_time": {
                    "description": "申请时间",
                    "type": "string"
                },
                "feedback": {
                    "description": "审批回复",
                    "type": "string"
                },
                "provider_name": {
                    "type": "string"
                },
                "reviewer": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                },
                "status": {
                    "description": "0 待审核 1 通过 2 未通过",
                    "type": "integer"
                },
                "type_code": {
                    "description": "设备类型编码",
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.DeviceTypeItem": {
            "type": "object",
            "properties": {
                "agent": {
                    "description": "经办人",
                    "type": "string"
                },
                "agent_phone": {
                    "type": "string"
                },
                "appendix": {
                    "type": "string"
                },
                "approve_time": {
                    "description": "审批时间",
                    "type": "string"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "created_time": {
                    "description": "申请时间",
                    "type": "string"
                },
                "feedback": {
                    "description": "审批回复",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "provider_name": {
                    "type": "string"
                },
                "reviewer": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                },
                "status": {
                    "description": "0 待审核 1 通过 2 未通过",
                    "type": "integer"
                },
                "type_code": {
                    "description": "设备类型编码",
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.DeviceTypeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DeviceTypeItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceTypeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceTypeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceTypeStatisticItem": {
            "type": "object",
            "properties": {
                "device_code": {
                    "type": "integer"
                },
                "device_type": {
                    "type": "string"
                },
                "online": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceTypeStatisticReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DeviceTypeStatisticItem"
                    }
                }
            }
        },
        "v1.DeviceTypeStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceTypeStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DustAqiData": {
            "type": "object",
            "properties": {
                "aqi": {
                    "type": "integer"
                }
            }
        },
        "v1.DustAqiResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DustAqiData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DustMonitorData": {
            "type": "object",
            "properties": {
                "b03": {
                    "description": "噪声",
                    "type": "number"
                },
                "date": {
                    "type": "string"
                },
                "h01": {
                    "description": "湿度",
                    "type": "number"
                },
                "p01": {
                    "description": "气压",
                    "type": "number"
                },
                "pm10": {
                    "type": "number"
                },
                "pm25": {
                    "type": "number"
                },
                "r01": {
                    "description": "雨量",
                    "type": "number"
                },
                "t01": {
                    "description": "温度",
                    "type": "number"
                },
                "tsp": {
                    "type": "number"
                },
                "w01": {
                    "description": "风向",
                    "type": "number"
                },
                "w02": {
                    "description": "风速",
                    "type": "number"
                }
            }
        },
        "v1.GetVcodeReply": {
            "type": "object",
            "properties": {
                "vcode": {
                    "type": "integer"
                }
            }
        },
        "v1.LatestDustMonitorDataResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DustMonitorData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LogInfo": {
            "type": "object",
            "properties": {
                "detail": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "operation": {
                    "type": "string"
                },
                "project_id": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "project_no": {
                    "type": "string"
                },
                "result": {
                    "type": "string"
                },
                "safety_record_no": {
                    "type": "string"
                },
                "time": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "v1.LogListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.LogInfo"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.LogListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LogListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginBody": {
            "type": "object",
            "properties": {
                "captcha": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "remberPassword": {
                    "type": "boolean"
                },
                "user": {
                    "type": "string"
                },
                "verify": {
                    "type": "string"
                }
            }
        },
        "v1.LoginData": {
            "type": "object",
            "properties": {
                "area_code": {
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                },
                "refresh_token": {
                    "type": "string"
                },
                "token": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "v1.LoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MailPrepareBody": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "v1.MailPrepareResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MailUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MapData": {
            "type": "object",
            "properties": {
                "url": {
                    "type": "string"
                }
            }
        },
        "v1.MapResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.MapData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PhoneUpdateBody": {
            "type": "object",
            "properties": {
                "phone": {
                    "type": "string"
                },
                "vcode": {
                    "type": "integer"
                }
            }
        },
        "v1.PhoneUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectChangeInfoItem": {
            "type": "object",
            "properties": {
                "addr": {
                    "type": "string"
                },
                "apply_time": {
                    "type": "string"
                },
                "approve_time": {
                    "type": "string"
                },
                "company_name": {
                    "type": "string"
                },
                "dst": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectInfoItem"
                    }
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "origin": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectInfoItem"
                    }
                },
                "safety_record_no": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectChangeInfoListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectChangeInfoItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectChangeInfoListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectChangeInfoListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectCorpListItem": {
            "type": "object",
            "properties": {
                "area_code": {
                    "description": "单位所在行政区域代码",
                    "type": "string"
                },
                "corp_type": {
                    "description": "参建类型",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "description": "单位名称",
                    "type": "string"
                },
                "register_date": {
                    "description": "注册日期",
                    "type": "string"
                },
                "social_code": {
                    "description": "单位社会信用码",
                    "type": "string"
                }
            }
        },
        "v1.ProjectInfoItem": {
            "type": "object",
            "properties": {
                "chinese": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "v1.ProjectInfoReply": {
            "type": "object",
            "properties": {
                "corp_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectCorpListItem"
                    }
                },
                "info": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectItem"
                },
                "pm_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectPMListItem"
                    }
                }
            }
        },
        "v1.ProjectInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectItem": {
            "type": "object",
            "properties": {
                "area_code": {
                    "description": "项目所在地行政区域代码",
                    "type": "string"
                },
                "category": {
                    "description": "项目类别 1 房屋建筑工程 2 市政工程 3 其他",
                    "type": "string"
                },
                "company_name": {
                    "type": "string"
                },
                "construct_type": {
                    "description": "建设性质 1 新建 2 改建 3 扩建",
                    "type": "string"
                },
                "covered_area": {
                    "description": "总面积",
                    "type": "number"
                },
                "create_time": {
                    "type": "string"
                },
                "desc": {
                    "description": "项目简介",
                    "type": "string"
                },
                "end_day": {
                    "description": "计划完工日期",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "invest_type": {
                    "description": "资金来源",
                    "type": "integer"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "location": {
                    "description": "建设地址",
                    "type": "string"
                },
                "lon": {
                    "description": "经度",
                    "type": "number"
                },
                "manager": {
                    "type": "string"
                },
                "manager_phone": {
                    "type": "string"
                },
                "name": {
                    "description": "项目名称",
                    "type": "string"
                },
                "price": {
                    "description": "总投资 万元",
                    "type": "number"
                },
                "project_effect_pic": {
                    "description": "项目效果图",
                    "type": "string"
                },
                "project_plan": {
                    "description": "项目平面图",
                    "type": "string"
                },
                "project_status": {
                    "description": "1 筹备 2 立项 3 在建 4 完工 5 停工",
                    "type": "string"
                },
                "safety_record_no": {
                    "description": "安监备案号",
                    "type": "string"
                },
                "scale": {
                    "description": "项目规模",
                    "type": "string"
                },
                "start_day": {
                    "description": "计划开工日期",
                    "type": "string"
                }
            }
        },
        "v1.ProjectListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectPMListItem": {
            "type": "object",
            "properties": {
                "cert_num": {
                    "description": "证件号",
                    "type": "string"
                },
                "cert_type": {
                    "description": "证件类型",
                    "type": "string"
                },
                "corp_name": {
                    "type": "string"
                },
                "corp_type": {
                    "description": "参建类型",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "p_type": {
                    "description": "人员类型",
                    "type": "string"
                },
                "phone": {
                    "description": "电话号",
                    "type": "string"
                },
                "social_code": {
                    "description": "单位社会信用码",
                    "type": "string"
                }
            }
        },
        "v1.ProjectStatisticReply": {
            "type": "object",
            "properties": {
                "increase": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectTypeStatisticItem"
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectTypeStatisticItem": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "percent": {
                    "type": "string"
                },
                "project_type": {
                    "type": "string"
                }
            }
        },
        "v1.ProjectTypeStatisticReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectTypeStatisticItem"
                    }
                }
            }
        },
        "v1.ProjectTypeStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectTypeStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProviderItem": {
            "type": "object",
            "properties": {
                "apply_time": {
                    "description": "申请时间",
                    "type": "string"
                },
                "approve_time": {
                    "description": "审批时间",
                    "type": "string"
                },
                "business_contact": {
                    "description": "业务联系人",
                    "type": "string"
                },
                "business_contact_phone": {
                    "description": "业务联系人电话",
                    "type": "string"
                },
                "business_license": {
                    "description": "营业执照",
                    "type": "string"
                },
                "business_responsible": {
                    "description": "业务负责人",
                    "type": "string"
                },
                "business_responsible_letter": {
                    "description": "业务负责人任命书",
                    "type": "string"
                },
                "business_responsible_phone": {
                    "description": "业务负责人电话",
                    "type": "string"
                },
                "emergency_contact": {
                    "type": "string"
                },
                "emergency_contact_phone": {
                    "type": "string"
                },
                "enterprise_location": {
                    "type": "string"
                },
                "feedback": {
                    "description": "审批回复",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "id_cert": {
                    "description": "证件号",
                    "type": "string"
                },
                "integrity_management_letter": {
                    "description": "诚信经营承诺书",
                    "type": "string"
                },
                "legal_person": {
                    "description": "法定代表人",
                    "type": "string"
                },
                "legal_person_letter": {
                    "description": "法人授权书",
                    "type": "string"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "reviewer": {
                    "type": "string"
                },
                "social_code": {
                    "description": "社会统一信用码",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "integer"
                },
                "user_name": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "v1.ProviderListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProviderItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ProviderListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProviderListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PublicityDeviceTypeItem": {
            "type": "object",
            "properties": {
                "type_code": {
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.PublicityItem": {
            "type": "object",
            "properties": {
                "devices": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.PublicityDeviceTypeItem"
                    }
                },
                "name": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                }
            }
        },
        "v1.PublicityReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.PublicityItem"
                    }
                }
            }
        },
        "v1.PublicityResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PublicityReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SetPasswdBody": {
            "type": "object",
            "properties": {
                "passwd": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "vcode": {
                    "type": "integer"
                }
            }
        },
        "v1.SetPasswdResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StaffStatisticNewData": {
            "type": "object",
            "properties": {
                "staff_type_statistic_data": {
                    "description": "员工类型统计",
                    "type": "object",
                    "$ref": "#/definitions/v1.StaffTypeStatisticsReply"
                },
                "work_type_statistic_data": {
                    "description": "工种统计",
                    "type": "object",
                    "$ref": "#/definitions/v1.StaffWorkTypeStatisticsReply"
                }
            }
        },
        "v1.StaffStatisticNewResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StaffStatisticNewData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StaffStatisticReply": {
            "type": "object",
            "properties": {
                "attendance": {
                    "type": "integer"
                },
                "increase": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.StaffStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StaffStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StaffTypeStatistics": {
            "type": "object",
            "properties": {
                "attendance": {
                    "description": "出勤人数",
                    "type": "integer"
                },
                "staff_type": {
                    "description": "员工类型",
                    "type": "string"
                },
                "total": {
                    "description": "总人数",
                    "type": "integer"
                },
                "type_code": {
                    "type": "integer"
                }
            }
        },
        "v1.StaffTypeStatisticsReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StaffTypeStatistics"
                    }
                },
                "total_attendance": {
                    "type": "integer"
                },
                "total_in": {
                    "type": "integer"
                }
            }
        },
        "v1.StaffWorkTypeStatisticsReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.WorkTypeStatistics"
                    }
                }
            }
        },
        "v1.TaskAddBody": {
            "type": "object",
            "properties": {
                "creater": {
                    "type": "string"
                },
                "finish_date": {
                    "description": "要求完成时间",
                    "type": "integer"
                },
                "project_id": {
                    "description": "项目id",
                    "type": "integer"
                },
                "task_desc": {
                    "description": "任务描述",
                    "type": "string"
                },
                "task_img": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "task_name": {
                    "description": "任务名称",
                    "type": "string"
                },
                "task_type": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TaskAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TaskApproveBody": {
            "type": "object",
            "properties": {
                "approve_img": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "feedback": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "reviewer": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "v1.TaskApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TaskInfoReply": {
            "type": "object",
            "properties": {
                "finish_date": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.TaskPipeline"
                    }
                },
                "status": {
                    "type": "integer"
                },
                "task_code": {
                    "type": "string"
                },
                "task_name": {
                    "type": "string"
                },
                "task_type": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TaskInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TaskListItem": {
            "type": "object",
            "properties": {
                "created_time": {
                    "type": "string"
                },
                "creater": {
                    "type": "string"
                },
                "finish_date": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "is_overdue": {
                    "type": "boolean"
                },
                "processing_date": {
                    "type": "string"
                },
                "processing_person": {
                    "type": "string"
                },
                "processing_results": {
                    "type": "string"
                },
                "processing_results_img": {
                    "type": "string"
                },
                "project_addr": {
                    "type": "string"
                },
                "project_code": {
                    "type": "string"
                },
                "project_id": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "reviewer": {
                    "type": "string"
                },
                "safety_record_no": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "task_code": {
                    "type": "string"
                },
                "task_desc": {
                    "type": "string"
                },
                "task_img": {
                    "type": "string"
                },
                "task_name": {
                    "type": "string"
                },
                "task_type": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.TaskListItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TaskListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TaskPipeline": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "img": {
                    "type": "string"
                },
                "person": {
                    "type": "string"
                },
                "pipe_time": {
                    "type": "string"
                },
                "pipe_type": {
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "v1.TmpTokenData": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "v1.TmpTokenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TmpTokenData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TokenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "refresh_token": {
                    "type": "string"
                }
            }
        },
        "v1.UploadResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UserInfoReply": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.UserInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UserInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VcodeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GetVcodeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VedioItem": {
            "type": "object",
            "properties": {
                "apply_time": {
                    "description": "申请时间",
                    "type": "string"
                },
                "approve_time": {
                    "description": "审批时间",
                    "type": "string"
                },
                "channel_count": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "ip": {
                    "type": "string"
                },
                "key": {
                    "type": "string"
                },
                "media_transport": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "port": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "provider_name": {
                    "type": "string"
                },
                "safety_record_no": {
                    "description": "安检备案号",
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                },
                "state": {
                    "description": "0 离线 1 在线",
                    "type": "integer"
                },
                "status": {
                    "description": "0 待审核 1 项目通过 2 项目不通过",
                    "type": "integer"
                },
                "type_code": {
                    "description": "设备类型编码",
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.VedioListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VedioItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.VedioListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VedioListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.WorkTypeStatistics": {
            "type": "object",
            "properties": {
                "attendance": {
                    "description": "出勤人数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "total": {
                    "description": "总人数",
                    "type": "integer"
                },
                "work_type": {
                    "description": "工种",
                    "type": "string"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.1",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "Project smart-government-management-gateway's APIs",
	Description: "This is a gateway server. On the page, you can go to do testing for every API.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
