// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"smart-government-management-gateway/param/base"
	"smart-government-management-gateway/pb/v1"
)

type DeviceTypeListQuery struct {
	Page int32 `form:"page"`
	Filter string `form:"filter"`
	// 0 已对接的设备列表 1 待审批的设备申请列表 2 待审批的设备对接列表
	ListType int32 `form:"list_type" json:"list_type"`
	ProviderId int64 `form:"provider_id" json:"provider_id"`
	DeviceCode int32 `form:"device_code" json:"device_code"`
}

type DeviceTypeListRequest struct {
	base.Header
	DeviceTypeListQuery
}

type DeviceTypeListResponse struct {
	base.Result
	Data v1.DeviceTypeListReply `json:"data"`
}


type DeviceListQuery struct {
	Page int32 `form:"page"`
	Filter string `form:"filter"`
	// 审核状态 0 待审核 1 通过 2 未通过
	FilterStatus string `form:"filter_status"`
	DeviceCode int32 `form:"device_code"`
	ProjectId int64 `form:"project_id"`
	ProviderId int64 `form:"provider_id"`
	Cid int64 `form:"cid"`
	State int32 `form:"state"`
}

type DeviceListRequest struct {
	base.Header
	DeviceListQuery
}

type DeviceListResponse struct {
	base.Result
	Data v1.DeviceListReply `json:"data"`
}

type DeviceDelJobListQuery struct {
	Page int32 `form:"page"`
	Filter string `form:"filter"`
	// 审核状态 0 待审核 1 通过 2 未通过
	FilterStatus string `form:"filter_status"`
}

type DeviceDelJobListRequest struct {
	base.Header
	DeviceDelJobListQuery
}

type DeviceDelJobListResponse struct {
	base.Result
	Data v1.DeviceDelJobListReply `json:"data"`
}

type ChannelListQuery struct {
	Sn string `form:"sn"`
	Page int32 `form:"page"`
	ChannelNo string `form:"channel_no"`
}

type ChannelListRequest struct {
	base.Header
	ChannelListQuery
}

type ChannelListResponse struct {
	base.Result
	Data v1.ChannelListReply `json:"data"`
}

type VedioListQuery struct {
	// 审核状态 0 待审核 1 通过 2 未通过
	FilterStatus string `form:"filter_status"`
	ProjectId int64 `form:"project_id"`
	ProviderId int64 `form:"provider_id"`
	Cid int64 `form:"cid"`
	State int32 `form:"state"`
	Filter string `form:"filter"`
	Page int32 `form:"page"`
}

type VedioListRequest struct {
	base.Header
	VedioListQuery
}

type VedioListResponse struct {
	base.Result
	Data v1.VedioListReply `json:"data"`
}

type DeviceStatisticRequest struct {
	base.Header
}

type DeviceStatisticResponse struct {
	base.Result
	Data v1.DeviceStatisticReply `json:"data"`
}

type DeviceTypeStatisticRequest struct {
	base.Header
}

type DeviceTypeStatisticResponse struct {
	base.Result
	Data v1.DeviceTypeStatisticReply `json:"data"`
}

type DeviceAllTypeListResponse struct {
	base.Result
	Data v1.DeviceAllTypeListReply `json:"data"`
}


type DeviceTestedTypeInfoPath struct {
	Id int64 `uri:"id" json:"id"`
}

type DeviceTestedTypeInfoRequest struct {
	base.Header
	DeviceTestedTypeInfoPath
}

type DeviceTestedTypeInfoResponse struct {
	base.Result
	Data v1.DeviceTestedTypeInfoReply `json:"data"`
}
