// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"smart-government-management-gateway/param/base"
	"smart-government-management-gateway/pb/v1"
)

type TaskAddBody struct {
	// 项目id
	ProjectId int64 `form:"project_id" json:"project_id"`
	// 任务名称
	TaskName string `form:"task_name" json:"task_name"`
	// 要求完成时间
	FinishDate int64 `form:"finish_date" json:"finish_date"`
	// 任务描述
	TaskDesc             string   `form:"task_desc" json:"task_desc"`
	TaskType int32 `form:"task_type" json:"task_type"`
	TaskImg []string `form:"task_img" json:"task_img"`
	Creater string `form:"creater" json:"creater"`
}

type TaskAddRequest struct {
	base.Header
	TaskAddBody
}


type TaskAddResponse struct {
	base.Result
	Data v1.TaskAddReply `json:"data"`
}

type TaskApproveBody struct {
	Id                   int64    `form:"id" json:"id"`
	Reviewer             string   `form:"reviewer" json:"reviewer"`
	Status             bool   `form:"status" json:"status"`
	Feedback             string   `form:"feedback" json:"feedback"`
	ApproveImg []string `form:"approve_img" json:"approve_img"`
}

type TaskApproveRequest struct {
	base.Header
	TaskApproveBody
}

type TaskApproveResponse struct {
	base.Result
}

type TaskListQuery struct {
	Page      int32   `form:"page"`
	PageSize  int32   `form:"page_size" json:"page_size"`
	Status    int32 `form:"status"`
	ProjectId int64   `form:"project_id" json:"project_id"`
	// 任务名,任务编码
	Filter               string   `form:"filter"`
	Start                int64    `form:"start_time" json:"start_time"`
	End                  int64    `form:"end_time" json:"end_time"`
	TaskType int32 `form:"task_type" json:"task_type"`
	Type int32 `form:"type" json:"type"`
	Overdue int32 `form:"overdue" json:"overdue"`
	Source int32 `form:"source"`
}

type TaskListRequest struct {
	base.Header
	TaskListQuery
}

type TaskListResponse struct {
	base.Result
	Data v1.TaskListReply `json:"data"`
}

type TaskInfoPath struct {
	Id int64 `uri:"id"`
}
type TaskInfoRequest struct {
	base.Header
	TaskInfoPath
}

type TaskInfoResponse struct {
	base.Result
	Data v1.TaskInfoReply `json:"data"`
}

